JSON Tile
The JSON API service provides access to geographic data related to stations, organized in a tile-based format.
Base URL
Station data is accessible by sending a GET request to the following endpoint:
Mapbox Vector Tile / Base URL
- 01
https://api.chargetrip.io/v2/station/{z}/{x}/{y}/tile.json
URL Parameters
{z}: Zoom level (integer) – Determines the scale of the map and the detail of the data returned.{x}: Tile column (integer) – Identifies the X coordinate of the tile in the grid.{y}: Tile row (integer) – Identifies the Y coordinate of the tile in the grid.
Most map providers have built-in methods to convert latitude and longitude to pixel coordinates. To manually convert latitude and longitude coordinates to x and y use the Web Mercator Projection.
Optional Query Parameters
Use these parameters to refine the data returned within each tile:
?{filter}: Filters the stations returned based on specific criteria. See filters documentation.?station_properties[]={selector}: Specifies the fields returned for each station feature. See selectors documentation.
Response
The API returns a GeoJSON FeatureCollection. Each feature represents either an individual station or a station cluster and follows the following schema.
| Field | Description |
|---|---|
| id String · Mandatory | The unique identifier of the station. Only returned in station features. |
| type String · Mandatory | Set to "Feature". |
| geometry Object · Mandatory | Standard GeoJSON Point geometry with latitude and longitude coordinates. |
| properties Object · Default | Feature's properties. |
Properties
The properties object can include the following attributes.
| Field | Description |
|---|---|
| count Integer · Default | Count of stations within a cluster. 1 means a Station feature. Greater than 1 means a Cluster feature. |
| expansion_zoom Integer · Default | Zoom level at which a cluster splits into multiple smaller clusters or stations. |
| station_maximum_power Integer | Maximum charging power (in kW) across all connectors, regardless of any applied filters. |
| connector_maximum_power Integer | Maximum charging power (in kW) available across the filtered connectors. This property is dynamic. |
| preferred_operator Boolean | Indicates if the station operator is configured as preferred. Preferred operators can be managed within project settings in the dashboard. |
| operator_id String | Unique identifier for the station operator. Returns null if the operator's data is unavailable. |
| evses_blocked Integer | Number of EVSEs in blocked status. This property is dynamic. |
| evses_planned Integer | Number of EVSEs in planned status. This property is dynamic. |
| evses_available Integer | Number of EVSEs in available status. This property is dynamic. |
| evses_charging Integer | Number of EVSEs in charging status. This property is dynamic. |
| evses_unknown Integer | Number of EVSEs in unknown status. This property is dynamic. |
| evses_reserved Integer | Number of EVSEs in reserved status. This property is dynamic. |
| evses_out_of_order Integer | Number of EVSEs in out of order status. This property is dynamic. |
| evses_inoperative Integer | Number of EVSEs in inoperative status. This property is dynamic. |
Default Response
If no selectors are provided, the API returns a GeoJSON FeatureCollection containing only the essential properties, marked as default or mandatory in the tables above. To return additional properties, selectors must be used. Visit selectors to learn how to use them.
GeoJSON Tile / Default response
- 01
- 02
- 03
- 04
- 05
- 06
- 07
- 08
- 09
- 10
- 11
- 12
- 13
- 14
- 15
- 16
- 17
- 18
- 19
- 20
- 21
- 22
- 23
- 24
- 25
- 26
- 27
- 28
- 29
{ "type": "FeatureCollection", "features": [ // Station feature { "id": "65ba19578a0916b28b20d729" "type": "Feature", "geometry": { "type": "Point", "coordinates": [6.789, 52.234] }, "properties": { "count": 1, } }, // Cluster Feature { "type": "Feature", "geometry": { "type": "Point", "coordinates": [6.723, 50.000] }, "properties": { "count": 3, "expansion_zoom":18 } } ]}